## Delete Aggregation

### cURL

```bash
curl --request DELETE \
  --url https://api.m3ter.com/organizations/{orgId}/aggregations/{id} \
  --header 'Authorization: Bearer <token>'
```

### Python

```python
import requests

url = "https://api.m3ter.com/organizations/{orgId}/aggregations/{id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.delete(url, headers=headers)

print(response.text)
```

### JavaScript (Fetch)

```javascript
const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.m3ter.com/organizations/{orgId}/aggregations/{id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

### PHP

```php
$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://api.m3ter.com/organizations/{orgId}/aggregations/{id}",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "DELETE",
  CURLOPT_HTTPHEADER => [
    "Authorization: Bearer <token>"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
```

### Go

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

url := "https://api.m3ter.com/organizations/{orgId}/aggregations/{id}"

req, _ := http.NewRequest("DELETE", url, nil)

req.Header.Add("Authorization", "Bearer <token>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}
```

### Unirest

```java
HttpResponse<String> response = Unirest.delete("https://api.m3ter.com/organizations/{orgId}/aggregations/{id}")
  .header("Authorization", "Bearer <token>")
  .asString();
```

### Ruby

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.m3ter.com/organizations/{orgId}/aggregations/{id}")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Delete.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

### Possible Responses

- **200**: Application/json - Return the deleted Aggregation
- **4XX** 
- **5XX**

#### JSON Response Structure

```json
{
  "id": "<string>",
  "version": 123,
  "customFields": {},
  "name": "<string>",
  "quantityPerUnit": 123,
  "unit": "<string>",
  "code": "<string>",
  "segments": [{}],
  "accountingProductId": "<string>",
  "meterId": "<string>",
  "targetField": "<string>",
  "segmentedFields": ["<string>"],
  "defaultValue": 123,
  "customSql": "<string>",
  "productId": "<string>",
  "dtCreated": "2023-11-07T05:31:56Z",
  "dtLastModified": "2023-11-07T05:31:56Z",
  "createdBy": "<string>",
  "lastModifiedBy": "<string>"
}
```

```json
{
  "message": "<string>"
}
```

```json
{
  "message": "<string>"
}
```

### Authorizations

- **Authorization**: string (header required) - m3ter supports machine to machine authentication using the `clientCredentials` OAuth2 flow.

### Path Parameters
- **orgId**: string (required) - UUID of the Organization.
- **id**: string (required) - The UUID of the Aggregation to delete.
